## org.eclipse.emf.ecoretools.diagram.edit.helpers
Class EPackageEditHelper

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper
          org.eclipse.emf.ecoretools.diagram.edit.helpers.EcoreBaseEditHelper
              org.eclipse.emf.ecoretools.diagram.edit.helpers.EPackageEditHelper

All Implemented Interfaces:
  org.eclipse.gmf.runtime.emf.type.core.edithelper.IEditHelper

    public class EPackageEditHelper

extends EcoreBaseEditHelper

Field Summary

Fields inherited from class org.eclipse.emf.ecoretools.diagram.edit.helpers.EcoreBaseEditHelper
`CONTEXT_ELEMENT_TYPE, EDIT_POLICY_COMMAND`

Constructor Summary
`EPackageEditHelper()`

Method Summary
`protected org.eclipse.gmf.runtime.common.core.command.ICommand` `getConfigureCommand(org.eclipse.gmf.runtime.emf.type.core.requests.ConfigureRequest req)`

Methods inherited from class org.eclipse.emf.ecoretools.diagram.edit.helpers.EcoreBaseEditHelper
`getCreateCommand, getCreateRelationshipCommand, getDestroyElementCommand, getDestroyReferenceCommand, getEditHelperAdvice, getInsteadCommand`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper

`approveRequest, canEdit, configureRequest, createCommand, getBasicDestroyElementCommand, getContainedValues, getDefaultContainmentFeature, getDefaultContainmentFeatures, getDestroyDependentsCommand, getDestroyElementWithDependentsCommand, getDuplicateCommand, getEditCommand, getEditContextCommand, getMoveCommand, getReorientReferenceRelationshipCommand, getReorientRelationshipCommand, getSetCommand, initializeDefaultFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPackageEditHelper

    public EPackageEditHelper()

Method Detail

### getConfigureCommand

    protected org.eclipse.gmf.runtime.common.core.command.ICommand getConfigureCommand(org.eclipse.gmf.runtime.emf.type.core.requests.ConfigureRequest req)

  Overrides:
    `getConfigureCommand` in class `org.eclipse.gmf.runtime.emf.type.core.edithelper.AbstractEditHelper`

Copyright 2007 Anyware Technologies. All Rights Reserved.